# OCI-Lob::read

(PHP 5, PHP 7, PECL OCI8 >= 1.1.0)

OCI-Lob::read — Reads part of the large object

### Description

OCI-Lob::read ( int `$length` ) : string

Reads `length` bytes from the current position of LOB's internal pointer.

Reading stops when `length` bytes have been read or end of the large object is reached. Internal pointer of the large object will be shifted on the amount of bytes read.

### Parameters

`length`

  The length of data to read, in bytes. Large values will be rounded down to 1 MB.

### Return Values

Returns the contents as a string, or `FALSE` on failure.

### See Also

- OCI-Lob::load
- OCI-Lob::write